linux: 3.13.0-78.122 -proposed tracker

Bug #1540559 reported by Brad Figg on 2016-02-01
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Po-Hsu Lin
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.13.0-78.122 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 01. February 2016 20:01 UTC
kernel-stable-Prepare-package-end:Tuesday, 02. February 2016 06:03 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 02. February 2016 06:03 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 04. February 2016 22:02 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Friday, 05. February 2016 00:02 UTC
kernel-stable-Verification-testing-start:Friday, 05. February 2016 00:02 UTC
kernel-stable-Certification-testing-start:Friday, 05. February 2016 00:02 UTC
kernel-stable-Security-signoff-start:Friday, 05. February 2016 00:02 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 05. February 2016 00:02 UTC
kernel-stable-Security-signoff-end:Friday, 05. February 2016 11:00 UTC
kernel-stable-Certification-testing-end:Wednesday, 17. February 2016 10:00 UTC
kernel-stable-Regression-testing-end:Thursday, 18. February 2016 01:00 UTC

Brad Figg (brad-figg) on 2016-02-01
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-keystone - bug 1540751

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-trusty (precise1) - bug 1540752

description: updated

 linux | 3.13.0-78.122 | trusty-proposed | source
 linux-meta | 3.13.0.78.84 | trusty-proposed | source
 linux-signed | 3.13.0-78.122 | trusty-proposed | source

Brad Figg (brad-figg) on 2016-02-04
description: updated
Brad Figg (brad-figg) on 2016-02-05
description: updated
Steve Beattie (sbeattie) wrote :

Needs USN for CVE-2015-8543 and CVE-2015-7550 at least

Brad Figg (brad-figg) on 2016-02-05
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have begun testing this -proposed kernel.

Po-Hsu Lin (cypressyew) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/trusty/3.13.0-78.122/trusty-proposed-frozen.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2016-02-17
description: updated
Brad Figg (brad-figg) on 2016-02-18
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2016-02-18
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (9.5 KiB)

This bug was fixed in the package linux - 3.13.0-79.123

---------------
linux (3.13.0-79.123) trusty; urgency=low

  [ Seth Forshee ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of full kernel
    credentials
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux (3.13.0-78.122) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1540559

  [ Eric Dumazet ]

  * SAUCE: (no-up) udp: properly support MSG_PEEK with truncated buffers
    - LP: #1527902

  [ J. R. Okajima ]

  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043

  [ Upstream Kernel Changes ]

  * Revert "[stable-only] net: add length argument to
    skb_copy_and_csum_datagram_iovec"
    - LP: #1538756
  * unregister_netdevice : move RTM_DELLINK to until after ndo_uninit
    - LP: #1525324
  * rtnetlink: delay RTM_DELLINK notification until after ndo_uninit()
    - LP: #1525324
  * Drivers: hv: Eliminate the channel spinlock in the callback path
    - LP: #1519897
  * Drivers: hv: vmbus: Implement per-CPU mapping of relid to channel
    - LP: #1519897
  * Drivers: hv: vmbus: Suport an API to send pagebuffers with additional
    control
    - LP: #1519897
  * Drivers: hv: vmbus: Suport an API to send packet with additional
    control
    - LP: #1519897
  * Drivers: hv: vmbus: Export the vmbus_sendpacket_pagebuffer_ctl()
    - LP: #1519897
  * Drivers: hv: vmbus: Fix a siganlling host signalling issue
    - LP: #1519897
  * Drivers: hv: vmbus: Fix a Host signaling bug
    - LP: #1519897
  * ARC: Fix silly typo in MAINTAINERS file
    - LP: #1538756
  * ip6mr: call del_timer_sync() in ip6mr_free_table()
    - LP: #1538756
  * gre6: allow to update all parameters via rtnl
    - LP: #1538756
  * atl1c: Improve driver not to do order 4 GFP_ATOMIC allocation
    - LP: #1538756
  * sctp: use the same clock as if sock source timestamps were on
    - LP: #1538756
  * sctp: update the netstamp_needed counter when copying sockets
    - LP: #1538756
  * ipv6: sctp: clone options to avoid use after free
    - LP: #1538756
  * net: add validation for the socket syscall protocol argument
    - LP: #1538756
  * sh_eth: fix kernel oops in skb_put()
    - LP: #1538756
  * pptp: verify sockaddr_len in pptp_bind() and pptp_connect()
    - LP: #1538756
  * bluetooth: Validate socket address length in sco_sock_bind().
    - LP: #1538756
  * af_unix: Revert 'lock_interruptible' in stream receive code
    - LP: #1538756
  * KEYS: Fix race between read and revoke
    - LP: #1538756
  * tools: Add a "make all" rule
    - LP: #1538...

Read more...

Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2016-02-22
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
Adam Conrad (adconrad) on 2016-02-22
Changed in linux (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers